long intervalle  = 1000; 
volatile unsigned long tps_derniere_int;

const int broche_compteur=12;
volatile long int compteur =0;
volatile long int valeur_cpt_precedente=0;

void setup() {
  Serial.begin(74880);
  pinMode(broche_compteur,INPUT_PULLUP);
  delay(100);
  attachInterrupt(broche_compteur, elimine_rebonds, RISING);
  delay(100);
  Serial.println("Comptage impulsion sans rebonds");
}

void loop() {
  if (compteur!=valeur_cpt_precedente){
    Serial.println(compteur);
    valeur_cpt_precedente=compteur;
  }
 delay(1000);
}

IRAM_ATTR void elimine_rebonds() {
  if((long)(micros() - tps_derniere_int) >= intervalle  * 1000) {
    incrementation_du_compteur();
    tps_derniere_int = micros();
  }else{
    Serial.println("Rebond");  
  }
}

IRAM_ATTR void incrementation_du_compteur() {
  compteur++;
}
